Bug 1505212 - CVE-2017-15096 glusterfs: Null pointer dereference in send_brick_req function in glusterfsd/src/gf_attach.c [fedora-all]
Summary: CVE-2017-15096 glusterfs: Null pointer dereference in send_brick_req function...
Keywords:
Status: CLOSED DUPLICATE of bug 1503394
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 3.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Jeff Darcy
QA Contact:
URL:
Whiteboard:
Depends On: 1504256
Blocks: CVE-2017-15096
TreeView+ depends on / blocked
 
Reported: 2017-10-23 01:27 UTC by Kaleb KEITHLEY
Modified: 2017-10-26 14:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of: 1504256
Environment:
Last Closed: 2017-10-23 12:02:09 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2017-10-23 01:27:06 UTC
+++ This bug was initially created as a clone of Bug #1504256 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Pedro Sampaio on 2017-10-19 15:41:54 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1504255,1504256

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 1 Jeff Darcy 2017-10-23 11:27:05 UTC
I see a lot of information about procedures, but little about the actual bug.  Is there a pointer somewhere to whatever Coverity/valgrind/ASAN actually found?

Comment 2 Kaleb KEITHLEY 2017-10-23 12:02:09 UTC

*** This bug has been marked as a duplicate of bug 1503394 ***


Note You need to log in before you can comment on or make changes to this bug.